Validate building addresses

Validate any building in the world with a few parameters to see if Zayo is on net. A buildingId or locationId is required for quoting.

Request
Request Body schema: application/json

A request containing one or several buildings to validate to understand if they are in Zayo's system, and whether they are on net or off net.

address
required
string
city
required
string
subregion
string
countryCode
required
string
neighborhood
string
postal
string
region
string
Responses
200

Success

400

Bad Request

post/services/location-management/v2/buildings/validation
Request samples
application/json
{
  • "buildings": [
    • {
      • "address": "60 Hudson Street",
      • "neighborhood": null,
      • "city": "New York",
      • "subregion": null,
      • "region": null,
      • "countryCode": "USA",
      • "postal": null
      }
    ]
}
Response samples
application/json
"{\"apiVersion\": \"v2\", \"data\": { \"matchedAddresses\": [{\"buildingId\": \"a0W600000009mrkEAA\",\n \"matched_address\": \"60 Hudson St, New York, 10013\",\n \"address\": \"60 Hudson Street\",\n \"neighborhood\": null,\n \"city\": \"New York\",\n \"subregion\": null,\n \"region\": null,\n \"country\": \"USA\",\n \"postal\": null,\n \"zayoNetworkStatus\": \"On Zayo Network\"}]}}"